"use client";

import Link from "next/link";
import { useState } from "react";
import * as actions from "@/actions";
import { useActionState } from "react";
import SnippetEditor from "@/components/snippet-create-form";

export default function SnippetCreatePage() {
  const [formState, action] = useActionState(actions.createSnippet, {
    message: "",
  });
  const [code, setCode] = useState("");
  const handleCodeChange = (newCode: string = "") => {
    setCode(newCode);
  };
  return (
    <div>
      <div className="flex m-4 justify-between items-center">
        <h1 className="text-xl font-bold">Create a Snippet</h1>
        <div className="flex gap-2">
          <Link href="/" className="p-2 border rounded">
            Home
          </Link>
        </div>
      </div>
      <form action={action}>
        <div className="flex flex-col gap-4">
          <div className="flex flex-col gap-4">
            <label className="w-12" htmlFor="title">
              Title
            </label>
            <input
              name="title"
              className="border rounded p-2 w-full"
              id="title"
            />
          </div>
          <div className="flex flex-col gap-4">
            <label className="w-12" htmlFor="title">
              Code
            </label>
            <input type="hidden" name="code" value={code} />
            <SnippetEditor code={code} onCodeChange={handleCodeChange} />
          </div>

          {formState.message ? (
            <div className="my-2 p-2 bg-red-200 border rounded border-red-400">
              {formState.message}
            </div>
          ) : null}

          <button type="submit" className="rounded p-2 bg-blue-200">
            Create
          </button>
        </div>
      </form>
    </div>
  );
}
